MKPASSWD(1)

NUME
mkpasswd - O interfață supradimensionată pentru crypt(3)

SINOPSIS
mkpasswd PASSWORD [SALT]

DESCRIERE
mkpasswd criptează parola dată cu funcția libc crypt(3) libc, folosind valoarea „salt” dată.

OPȚIUNI

-S, --salt=ȘIR Utilizează ȘIR ca „salt”. Dacă începe cu $, atunci va fi transmis direct la crypt(3) fără nicio verificare.

-R, --rounds=NUMĂR Utilizează NUMĂR runde. Acest argument este ignorat dacă metoda aleasă nu acceptă runde variabile. Pentru metoda OpenBSD Blowfish, acesta este logaritmul numărului de runde. Comportamentul este nedefinit în cazul în care această opțiune este utilizată fără --method.

-m, --method=TIP Calculează parola folosind metoda TIP. Dacă Tip este help, se afișează lista de metode disponibile. Dacă TIP începe și se termină cu caractere $, atunci șirul este transmis lui crypt_gensalt(3) ca atare.

-5  Precum --method=md5crypt.

-P .IR NUM ,  .BI --password-fd= NUM
    Citește parola din descriptorul de fișier NUM în loc să folosească getpass(3). În cazul în care descriptorul de fișier nu este conectat la un tty, atunci nu se afișează la ieșirea standard alt text în afară de parola criptată.

-s, --stdin
    Precum --password-fd=0.

MEDIU

MKPASSWD_OPTIONS
    O listă de opțiuni care vor fi evaluate înaintea celor specificate în linia de comandă.

ERORI
Dacă se utilizează opțiunea --stdin, este posibil ca parolele care conțin anumite caractere de control să nu fie citite corect.

Acest program suferă de un caz grav de „funcționaliti”.

CONSULTAȚI ȘI
passwd(1), passwd(5), crypt(3), crypt(5), crypt_gensalt(3), getpass(3).

AUTOR
mkpasswd și această pagină de manual au fost scrise de Marco d'Itri <md@linux.it> și sunt licențiate în conformitate cu termenii Licenței Publice Generale GNU, versiunea 2 sau ulterioară.

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.